Bug 1343066 - [RFE] vmdisk hook: add support for booting from image file
Summary: [RFE] vmdisk hook: add support for booting from image file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: RFEs
Version: 4.18.15
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Dan Kenigsberg
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 12:36 UTC by Dmitry Glushenok
Modified: 2018-07-06 14:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 14:31:30 UTC
oVirt Team: Virt
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
vmdisk hook script with boot support (2.98 KB, text/x-python)
2016-06-06 12:36 UTC, Dmitry Glushenok
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58748 0 master ABANDONED vmdisk hook: add support for booting from image file 2018-02-11 01:58:33 UTC

Description Dmitry Glushenok 2016-06-06 12:36:25 UTC
Created attachment 1165200 [details]
vmdisk hook script with boot support

Description of problem:
Now it is impossible to boot from disks, attached using vmdisk hook.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attach disk image to VM using vmdisk hook
2. Install OS into attached disk image
3. Try to book from the disk image

Actual results:
VM cannot find boot device.

Expected results:
VM successfully boots to installed OS.

Additional info:
Boot support for vmdisk attached images can be achieved by adding following code into createDiskElement():

    boot = domxml.createElement('boot')
    # find unused boot order number
    bootorders = []
    for b in xmldisks:
        bootorders.append(d.getElementsByTagName('boot')[0].getAttribute('order'))

    for i in range(1, 28):
        if not str(i) in bootorders:
            boot.setAttribute('order', str(i))
            break

    disk.appendChild(boot)

Comment 1 Dan Kenigsberg 2016-06-06 14:27:04 UTC
Would you be kind to post your suggestion as a change to gerrit.ovirt.org?

Comment 2 Dmitry Glushenok 2016-06-06 14:53:36 UTC
I've tried posting the change to gerrit.ovirt.org twice - both times got "500 Internal server error". Is there any manual how to do it right?

Comment 3 Yaniv Kaul 2016-06-06 19:57:36 UTC
(In reply to Dmitry Glushenok from comment #2)
> I've tried posting the change to gerrit.ovirt.org twice - both times got
> "500 Internal server error". Is there any manual how to do it right?

Can you send this information to infra@ovirt.org ? we'd be happy to help you submit this enhancement!

Comment 4 Dan Kenigsberg 2016-06-07 06:43:28 UTC
Have you followed http://www.ovirt.org/develop/dev-process/working-with-gerrit/ ?

Attaching a patch to this BZ may be easier to review.

Comment 5 Dmitry Glushenok 2016-06-07 13:06:56 UTC
Thank you for the manual.
Suggested change posted to Gerrit: https://gerrit.ovirt.org/58748 vmdisk hook: add support for booting from image file [DRAFT]

Comment 6 Dmitry Glushenok 2016-06-10 09:05:40 UTC
Updated proposed change on Gerrit with:
- fix for disks without boot tag
- modified README file

Comment 7 Yaniv Kaul 2017-09-01 09:31:13 UTC
Moving back to NEW, as patch is not up-to-date. Would be happy to see it though.


Note You need to log in before you can comment on or make changes to this bug.